UnavailableException (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.exceptions

## Class UnavailableException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.cassandra.exceptions.CassandraException
        - - org.apache.cassandra.exceptions.RequestExecutionException
          - - org.apache.cassandra.exceptions.UnavailableException

- All Implemented Interfaces:
    java.io.Serializable, TransportException

      public class UnavailableException
      extends RequestExecutionException

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `alive`
    `ConsistencyLevel` | `consistency`
    `int` | `required`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnavailableException(ConsistencyLevel consistency, int required, int alive)`
    `UnavailableException(java.lang.String msg, ConsistencyLevel consistency, int required, int alive)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.cassandra.exceptions.CassandraException

      `code`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cassandra.exceptions.TransportException

      `getMessage`

- - ### Field Detail

    - #### consistency

          public final ConsistencyLevel consistency

    - #### required

          public final int required

    - #### alive

          public final int alive

  - ### Constructor Detail

    - #### UnavailableException

          public UnavailableException(ConsistencyLevel consistency,
                                      int required,
                                      int alive)

    - #### UnavailableException

          public UnavailableException(java.lang.String msg,
                                      ConsistencyLevel consistency,
                                      int required,
                                      int alive)

Copyright © 2018 The Apache Software Foundation